This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

This thread is resolved. Here is a description of the problem and solution.

Problem: 2.7 to 4.0 WordPress: Destination folder already exists

Solution:to do this with your plugin activated you would need to have WPML activated and then go to Plugins ->Add new-> Commercial tab and upgrade from within there BUT it is highly likely that this will fail as you are updating from an older version.

for this reason we recommend doing this manually

=> https://wpml.org/account/downloads/

to do a manual update please follow these steps:

1. Backup your database – see for example: http://wordpress.org/extend/plugins/wp-db-backup/

2. Deactivate the existing WPML plugin and add-ons.

3. Delete the plugin files – this does not delete your translations. You will simply delete the plugin files from you "wp-content/plugins" folder NOT the database records.

4. Download the updated plugins from our servers and upload them to the plugin directory.

5. Activate the WPML plugin and add-ons.

Now , if you delete the plugin the translations and your settings will not be lost as they are saved in the Database , but if you want you can always go within your FTP and rename the old WPML folder by adding " .oldversion " at the end of the name.

Relevant Documentation:

This topic contains 2 replies, has 2 voices.

Last updated by Leonard 11 months, 3 weeks ago.

Assigned support staff: Bobby.

Author Posts
October 17, 2018 at 1:07 pm #2824670

Leonard

I am trying to upgrade from version 2.7 to 4.0. According to the FAQ this is as easy as uploading the new version once. However I get the error 'Destination folder already exists'. That is perfectly true. Maybe I need to delete the old plugin first, but I won't do that while risking losing all translations.

What route to upgrade should I take? Your help will be appreciated!

October 17, 2018 at 11:00 pm #2826051

Bobby
Supporter

Languages: English (English )

Timezone: America/Los_Angeles (GMT-07:00)

Hello,

to do this with your plugin activated you would need to have WPML activated and then go to Plugins ->Add new-> Commercial tab and upgrade from within there BUT it is highly likely that this will fail as you are updating from an older version.

for this reason we recommend doing this manually

=> https://wpml.org/account/downloads/

to do a manual update please follow these steps:

1. Backup your database – see for example: http://wordpress.org/extend/plugins/wp-db-backup/

2. Deactivate the existing WPML plugin and add-ons.

3. Delete the plugin files – this does not delete your translations. You will simply delete the plugin files from you "wp-content/plugins" folder NOT the database records.

4. Download the updated plugins from our servers and upload them to the plugin directory.

5. Activate the WPML plugin and add-ons.

Now , if you delete the plugin the translations and your settings will not be lost as they are saved in the Database , but if you want you can always go within your FTP and rename the old WPML folder by adding " .oldversion " at the end of the name.

October 25, 2018 at 7:44 am #2848886

Leonard

That is what I needed to hear, despite WordPress warning that the data will be cleared, this actually isn't the case and then the upgrade itself when smoothly.